Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_device_driver Struct Reference

This structure contains function pointers to the functions required to interact with a device. More...

`#include <scriptel-proscript.h>`

Collaboration diagram for scriptel_device_driver:
[legend]

## Data Fields
scriptel_driver_init_func | driver_init
| Function pointer to driver initializer.
scriptel_driver_destroy_func | driver_destroy
| Function pointer to driver destructor.
scriptel_open_device_func | open_device
| Function pointer to open this device.
scriptel_close_device_func | close_device
| Function pointer to close this device.
scriptel_list_devices_func | list_devices
| Function pointer to list devices for this driver.
scriptel_read_device_func | device_read
| Function pointer to read from a device.
scriptel_set_output_report_func | set_output_report
| Function pointer to set output report.
scriptel_set_feature_report_func | set_feature_report
| Function pointer to set feature report.
scriptel_get_feature_report_func | get_feature_report
| Function pointer to get feature report.
scriptel_get_driver_name_func | get_name
| Function pointer to get name function.
scriptel_driver_thread_func | thread_running
| Whether or not this driver has a thread running.
scriptel_driver_thread_wait_func | wait_thread
| Wait for the thread to finish.
unsigned char | initialized
| Whether or not this driver has been initialized or not.
scriptel_driver_shutdown_func | shutdown
| This function gets called when proscript is getting destroyed.
get_hotplug_callbacks_func | get_hotplug_callbacks
| function pointer to get the list of hotplug callbacks.
scriptel_driver_device_free_func | free_device
| Function to call to free a device.
scriptel_report_error_func | report_error
| Function for the driver to call to report a problem.
scriptel_debug_func | debug
| Function for the driver to call to do debugging.
scriptel_deliver_input_report_func | input_report
| Function for the driver to call to report an input report.

## Detailed Description

This structure contains function pointers to the functions required to interact with a device.

The documentation for this struct was generated from the following file:

- src/scriptel-proscript.h